/* 
 * Copyright (C) 1997-2002 Laird Breyer
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author:   Laird Breyer (laird@lbreyer.com)
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;


public class RoadMapApplet extends Applet implements ActionListener {
    RoadMapFrame f;

    Button startButton = null;

    public void init() {
	setBackground(Color.white);

	startButton = new Button("Start roadmap applet");
	startButton.addActionListener(this);
	add(startButton);
    }

    public void actionPerformed(ActionEvent ae) {
	if( f != null ) return;
	f = new RoadMapFrame();
	f.setSize(600,450);
	f.setVisible(true);
	f.init();
	f.start();
    }

    public void start() {
	if( f != null ) {
	    f.setVisible(true);
	    f.start();
	}
    }

    public void stop() {
	if( f != null ) {
	    f.stop();
	    f.setVisible(false);
	}
    }    
}

